Bug 1284124 - [RFE][spine-leaf] Use a DHCP Helper with the OSP Director
Summary: [RFE][spine-leaf] Use a DHCP Helper with the OSP Director
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Dan Sneddon
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1214284
TreeView+ depends on / blocked
 
Reported: 2015-11-20 22:42 UTC by Jeremy
Modified: 2019-10-10 10:32 UTC (History)
22 users (show)

Fixed In Version: openstack-neutron-12.0.0-0.20180222093622.abb60c6.el7ost instack-undercloud-8.2.1-0.20180228034814.945b1d0.el7ost puppet-ironic-12.3.1-0.20180221115553.12ab03d.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:26:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 421009 None master: MERGED tripleo-specs: blueprint tripleo-routed-networks-deployment (I72861ce8adfeff67b894cf389f7096cde8be9258) 2018-02-28 13:17:33 UTC
OpenStack gerrit 436716 None master: MERGED puppet-ironic: Multiple DHCP Subnets for Ironic Inspector (Ie49b07ffe948576f5d9330cf11ee014aef4b282d) 2018-02-28 13:17:27 UTC
OpenStack gerrit 437544 None master: MERGED instack-undercloud: Tripleo routed networks ironic inspector, and Undercloud (I4b384bab2af9f6ba07a137a37f4098a00ce18bc0) 2018-02-28 13:17:20 UTC
OpenStack gerrit 438171 None master: MERGED neutron: Only add "on-link" routes for L2 adjacent subnets (Iae889e9226a61059cd4f3d37fbe48d013b7a3482) 2018-02-28 13:17:13 UTC
Red Hat Product Errata RHEA-2018:2086 normal SHIPPED_LIVE Red Hat OpenStack Platform 13.0 Enhancement Advisory 2018-06-28 19:51:39 UTC

Description Jeremy 2015-11-20 22:42:42 UTC
Description of problem:
We need to have the OpenStack Platform Director (undercloud) in a separate layer 2 network from it's overcloud provisioning interfaces. We would like to accomplish this by using a DHCP Helper to forward overcloud discovery and provisioning DHCP requests, to the undercloud.

We have attempted the use of a DHCP Helper, but it seems that the discovery; introspection image does not correctly handle configuring a default gateway on an overcloud provisioning interface, even when a gateway is supplied (by a modified ironic discovery dnsmasq configuration). We see the "router" DHCP option sent to the discovery image, yet the discovery image does not configure the provisioning interface with a default gateway - it can not reach the (separated) undercloud.

Version-Release number of selected component (if applicable):



Additional info:

Comment 3 Mike Burns 2016-04-07 20:57:01 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 24 Bob Fournier 2018-04-04 20:06:34 UTC
This has been verified with the Spine/Leaf undercloud testing using DHCP relay.

Comment 25 Alexander Chuzhoy 2018-04-04 20:23:24 UTC
Version:
puppet-ironic-12.3.1-0.20180221115553.12ab03d.el7ost.noarch
openstack-neutron-ml2-12.0.0-0.20180222093623.abb60c6.0rc2.el7ost.noarch
openstack-neutron-common-12.0.0-0.20180222093623.abb60c6.0rc2.el7ost.noarch
instack-undercloud-8.3.1-0.20180304032746.fc5704f.el7ost.noarch
openstack-neutron-openvswitch-12.0.0-0.20180222093623.abb60c6.0rc2.el7ost.noarch
openstack-neutron-12.0.0-0.20180222093623.abb60c6.0rc2.el7ost.noarch

Was able to introspect nodes residing in different leafs.

Comment 27 errata-xmlrpc 2018-06-27 13:26:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.